@import "~/common/styles/variables";

$scrollbacr-bg: #F5F5F5;
$scrollbar-thumb-bg: #D9D9D9;

#root {
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  font-size: 100%;
  vertical-align: baseline;
  outline: none;
  border: 0;
  font-family: $main-font;
}

body {
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  font-size: 100%;
  vertical-align: baseline;
  outline: none;
  border: 0;
  touch-action: manipulation;
  font-family: $main-font;
  overscroll-behavior: none;
}

html {
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  font-size: 100%;
  vertical-align: baseline;
  outline: none;
  border: 0;
  font-family: $main-font;
  overscroll-behavior: none;
}

.App {
  height: 100%;
  overscroll-behavior: none;

  > .backdrop {
    z-index: 9;

    > div {
      display: flex;
      flex-direction: column;
      align-items: center;
      color: $white;
    }
  }
}

.MuiSnackbarContent-root {
  button {
    svg {
      fill: #fff;
    }
  }
}

.MuiOutlinedInput-root.Mui-focused {
  fieldset.MuiOutlinedInput-notchedOutline {
    border-color: $gold;
  }
}

.MuiInput-underline {
  &:after {
    border-color: $gold !important;
  }
}

label.MuiFormLabel-root.Mui-focused {
  color: $black;
  font-weight: 600;
}

.fancyScroller {
  &::-webkit-scrollbar-track {
    border-radius: 10px;
    background-color: $scrollbacr-bg;
  }

  &::-webkit-scrollbar {
    width: 4px;
    background-color: $scrollbacr-bg;
  }

  &::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: $grey-darken-1;
  }
}

.emoji-mart-scroll {
  &::-webkit-scrollbar-track {
    border-radius: 10px;
    background-color: $scrollbacr-bg;
  }

  &::-webkit-scrollbar {
    width: 4px;
    background-color: $scrollbacr-bg;
  }

  &::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: $grey-darken-1;
  }
}

.fancyScroller.fancyScroller--light {
  &::-webkit-scrollbar-thumb {
    background-color: $scrollbar-thumb-bg;
  }
}

.emoji-mart-scroll.fancyScroller--light {
  &::-webkit-scrollbar-thumb {
    background-color: $scrollbar-thumb-bg;
  }
}

.mobileOnly {
  display: none !important;
}

@media only screen and (max-width: 768px) {
  .mobileOnly {
    display: initial !important;
  }
}
